## com.bbn.openmap.dataAccess.cgm
Class TextElement

    java.lang.Object
      com.bbn.openmap.dataAccess.cgm.Command
          com.bbn.openmap.dataAccess.cgm.TextElement

All Implemented Interfaces:
  java.lang.Cloneable

public class TextElement
extends Command

Constructor Summary
`TextElement(int ec, int eid, int l, java.io.DataInputStream in)`

Method Summary
`void` `paint(CGMDisplay d)`
`void` `scale(CGMDisplay d)`
`java.lang.String` `toString()`

Methods inherited from class com.bbn.openmap.dataAccess.cgm.Command
`clone, makeInt, makeString, makeString, read, read16`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextElement

    public TextElement(int ec,
                       int eid,
                       int l,
                       java.io.DataInputStream in)
                throws java.io.IOException

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Command`

### scale

    public void scale(CGMDisplay d)

  Overrides:
    `scale` in class `Command`

### paint

    public void paint(CGMDisplay d)

  Overrides:
    `paint` in class `Command`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details